Manual do PHP
Anterior |  | Próxima

# DOMDocument->createElementNS()

DOMDocument->createElementNS() -- Create new element node with an associated namespace

## Descrição

class DOMDocument {
DOMElement createElementNS ( string namespaceURI, string qualifiedName [, string value] )
}

This function creates a new element node with an associated namespace. Este nó não será exibido no documento a não ser que ele seja inserido, por exemplo, com DOMNode->appendChild().

## Lista de parâmetros

namespaceURI

  The URI of the namespace.

qualifiedName

  The qualified name of the element, as prefix:tagname.

value

  The value of the element. By default, an empty element will be created. You can also set the value later with DOMElement->nodeValue.

## Valores Retornados

The new DOMElement or `FALSE` if an error occured.

## Exceptions

`DOM_INVALID_CHARACTER_ERR`

  Raised if qualifiedName contains an invalid character.

`DOM_NAMESPACE_ERR`

  Raised if qualifiedName is a maformed qualified name.

## Exemplos

Exemplo 1. Creating a new element and inserting it as root

`<?php $dom = new DOMDocument('1.0', 'iso-8859-1'); $element = $dom->createElementNS('http://www.example.com/XFoo', 'xfoo:test', 'This is the root element!'); // We insert the new element as root (child of the document) $dom->appendChild($element); echo $dom->saveXML(); ?>`

O exemplo acima irá imprimir:

    <?xml version="1.0" encoding="iso-8859-1"?>
    <xfoo:test xmlns:xfoo="http://www.example.com/XFoo">This is the root element!</xfoo:test>

## Veja também

DOMNode->appendChild()
DOMDocument->createAttribute()
DOMDocument->createAttributeNS()
DOMDocument->createCDATASection()
DOMDocument->createComment()
DOMDocument->createDocumentFragment()
DOMDocument->createElement()
DOMDocument->createEntityReference()
DOMDocument->createProcessingInstruction()
DOMDocument->createTextNode()

Anterior | Principal | Próxima
DOMDocument->createElement() | Acima | DOMDocument->createEntityReference()